## javax.faces.component
Class UISelectOne

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne

All Implemented Interfaces:
  EditableValueHolder, StateHolder, ValueHolder

Direct Known Subclasses:
  HtmlSelectOneListbox, HtmlSelectOneMenu, HtmlSelectOneRadio

public class UISelectOne
extends UIInput

see Javadoc of JSF Specification

Version:
  $Revision: 279434 $ $Date: 2005-09-07 18:06:36 -0400 (Wed, 07 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`
`static java.lang.String` `INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`UISelectOne()`

Method Summary
`java.lang.String` `getFamily()`
`protected void` `validateValue(FacesContext context, java.lang.Object value)`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, restoreState, saveState, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### INVALID_MESSAGE_ID

    public static final java.lang.String INVALID_MESSAGE_ID

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UISelectOne

    public UISelectOne()

Method Detail

### validateValue

    protected void validateValue(FacesContext context,
                                 java.lang.Object value)

  Overrides:
    `validateValue` in class `UIInput`
  See Also:
    `UIInput.validateValue(javax.faces.context.FacesContext, java.lang.Object)`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIInput`